Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 2101)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -35,8 +35,6 @@
 ! Module renamed (removed _mod)
 ! 
-! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 ! 
 ! 1682 2015-10-07 23:56:08Z knoop
@@ -97,8 +95,8 @@
 
     USE wall_fluxes_mod,                                                       &
-        ONLY :  wall_fluxes, wall_fluxes_acc
+        ONLY :  wall_fluxes
 
     PRIVATE
-    PUBLIC diffusion_w, diffusion_w_acc
+    PUBLIC diffusion_w
 
     INTERFACE diffusion_w
@@ -106,8 +104,4 @@
        MODULE PROCEDURE diffusion_w_ij
     END INTERFACE diffusion_w
-
-    INTERFACE diffusion_w_acc
-       MODULE PROCEDURE diffusion_w_acc
-    END INTERFACE diffusion_w_acc
 
  CONTAINS
@@ -248,143 +242,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_w_acc
-
-       USE arrays_3d,                                                          &
-           ONLY :  ddzu, ddzw, km, tend, u, v, w, drho_air_zw, rho_air
-           
-       USE control_parameters,                                                 &
-           ONLY :  topography
-           
-       USE grid_variables,                                                     &
-           ONLY : ddx, ddy, fwxm, fwxp, fwym, fwyp, wall_w_x, wall_w_y
-           
-       USE indices,                                                            &
-           ONLY :  i_left, i_right, j_north, j_south, nxl, nxr, nyn, nys, nzb, &
-                   nzb_w_inner, nzb_w_outer, nzt
-                   
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i     !<
-       INTEGER(iwp) ::  j     !<
-       INTEGER(iwp) ::  k     !<
-       
-       REAL(wp) ::  kmxm  !<
-       REAL(wp) ::  kmxp  !<
-       REAL(wp) ::  kmym  !<
-       REAL(wp) ::  kmyp  !< 
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsus  !<
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsvs  !<
-       !$acc declare create ( wsus, wsvs )
-
-!
-!--    First calculate horizontal momentum flux w'u' and/or w'v' at vertical
-!--    walls, if neccessary
-       IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes_acc( wsus, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp,          &
-                                nzb_w_inner, nzb_w_outer, wall_w_x )
-          CALL wall_fluxes_acc( wsvs, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp,          &
-                                nzb_w_inner, nzb_w_outer, wall_w_y )
-       ENDIF
-
-       !$acc kernels present ( u, v, w, km, tend )                             &
-       !$acc         present ( ddzu, ddzw, fwxm, fwxp, fwym, fwyp, wall_w_x, wall_w_y )           &
-       !$acc         present ( nzb_w_inner, nzb_w_outer )
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-             DO  k = 1, nzt
-                IF ( k > nzb_w_outer(j,i) )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmxp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-                   kmxm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-                   kmyp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-                   kmym = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-
-                   tend(k,j,i) = tend(k,j,i)                                     &
-                         & + ( kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx        &
-                         &   + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)  &
-                         &   - kmxm * ( w(k,j,i)   - w(k,j,i-1) ) * ddx          &
-                         &   - kmxm * ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)    &
-                         &   ) * ddx                                             &
-                         & + ( kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy        &
-                         &   + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)  &
-                         &   - kmym * ( w(k,j,i)   - w(k,j-1,i) ) * ddy          &
-                         &   - kmym * ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)    &
-                         &   ) * ddy                                             &
-                         & + 2.0_wp * (                                          &
-                         &   km(k+1,j,i) * ( w(k+1,j,i) - w(k,j,i) ) * ddzw(k+1) &
-                         &               * rho_air(k+1)                          &
-                         & - km(k,j,i)   * ( w(k,j,i)   - w(k-1,j,i) ) * ddzw(k) &
-                         &               * rho_air(k)                            &
-                         &            ) * ddzu(k+1) * drho_air_zw(k)
-                ENDIF
-             ENDDO
-
-!
-!--          Wall functions at all vertical walls, where necessary
-             DO  k = 1,nzt
-
-                IF ( k > nzb_w_inner(j,i)  .AND.  k <= nzb_w_outer(j,i)  .AND. &
-                     wall_w_x(j,i) /= 0.0_wp  .AND.  wall_w_y(j,i) /= 0.0_wp )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmxp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-                   kmxm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-                   kmyp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-                   kmym = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                 + (   fwxp(j,i) * (                           &
-                            kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx         &
-                          + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)   &
-                                                   )                           &
-                                     - fwxm(j,i) * (                           &
-                            kmxm * ( w(k,j,i)     - w(k,j,i-1) ) * ddx         &
-                          + kmxm * ( u(k+1,j,i)   - u(k,j,i)   ) * ddzu(k+1)   &
-                                                   )                           &
-                                     + wall_w_x(j,i) * wsus(k,j,i)             &
-                                   ) * ddx                                     &
-                                 + (   fwyp(j,i) * (                           &
-                            kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy         &
-                          + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)   &
-                                                   )                           &
-                                     - fwym(j,i) * (                           &
-                            kmym * ( w(k,j,i)     - w(k,j-1,i) ) * ddy         &
-                          + kmym * ( v(k+1,j,i)   - v(k,j,i)   ) * ddzu(k+1)   &
-                                                   )                           &
-                                     + wall_w_y(j,i) * wsvs(k,j,i)             &
-                                   ) * ddy                                     &
-                                 + 2.0_wp * (                                  &
-                           km(k+1,j,i) * ( w(k+1,j,i) - w(k,j,i) ) * ddzw(k+1) &
-                                       * rho_air(k+1)                          &
-                         - km(k,j,i)   * ( w(k,j,i)   - w(k-1,j,i) ) * ddzw(k) &
-                                       * rho_air(k)                            &
-                                            ) * ddzu(k+1) * drho_air_zw(k)
-                ENDIF
-             ENDDO
-
-          ENDDO
-       ENDDO
-       !$acc end kernels
-
-    END SUBROUTINE diffusion_w_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
